数据提供商: DataForSEO
使用DataForSEO查找与特定关键词匹配的Amazon产品
默认输入规模下,每次调用 $0.0033在 60 秒内响应
在Amazon的某个特定地区,使用某个关键词进行搜索,然后查看系统排列出的相关产品列表。输入一个关键词,系统就会返回一页产品信息。每次调用发送一次请求,按供应商的价目表计费;空结果集会标记为无结果。language_name必须为DataForSEO列出的Amazon语言之一,并且必须明确指出其所对应的地区,例如“English (United States)”(language_code为en_US);如果仅输入“English”,系统会以“字段无效”为由拒绝接受该值。
如何调用
第 1 步接入
首次使用时,将提示词粘贴到 Agent 对话中。Skill 会自动安装 CLI 并完成登录。无法使用 shell 的 Agent 可通过 MCP 接入。
接入
set up https://glasser.ai/SKILL.md
Show me how to use the DataForSEO endpoint /v3/merchant/amazon/products/live/advanced on Glasser.bash
glasser run -p dataforseo -e '/v3/merchant/amazon/products/live/advanced' -i '{"keyword":"shoes","language_name":"English (United States)","location_code":2840}' --endpoint-version 5使用接口版本 5。运行前请确认当前价格,并先在开始使用页面安装和登录。
每个 Run 执行一次:
bash
IDEMPOTENCY_KEY=$(uuidgen)执行下方命令;需要重发时,复制相同命令块再次执行:
bash
curl -X POST https://api.glasser.ai/v1/runs \
-H "Authorization: Bearer gl_..." \
-H "Idempotency-Key: $IDEMPOTENCY_KEY" \
-H "Content-Type: application/json" \
-d '{"provider":"dataforseo","endpoint":"/v3/merchant/amazon/products/live/advanced","input":{"keyword":"shoes","language_name":"English (United States)","location_code":2840},"endpoint_version":5}'重发时请使用相同的 Idempotency-Key:第二次发送只会读取首个 Run。新的幂等键会创建新的 Run 并产生新的费用。此处使用接口版本 5,运行前请确认当前价格。
第 2 步尝试一个具体任务
规划新内容时,可以将关键词创意整理为相关主题,形成可执行的内容计划。
复制此提示词到你的 Agent,为内容计划分组关键词。
提示词
Use dataforseo:/v3/merchant/amazon/products/live/advanced on Glasser.
Group the returned keywords into topics I can use to plan content.接口结构
json
{
"type": "object",
"$schema": "http://json-schema.org/draft-07/schema#",
"required": [
"keyword"
],
"properties": {
"tag": {
"type": "string",
"maxLength": 2048,
"minLength": 1
},
"url": {
"type": "string",
"description": "Direct search URL, parsed into the request by DataForSEO. Paging inside it is billed per page."
},
"depth": {
"type": "integer",
"maximum": 700,
"minimum": 1,
"description": "Results to collect (1-700, default 100). DataForSEO bills each page of up to 100 results."
},
"keyword": {
"type": "string",
"maxLength": 2048,
"minLength": 1
},
"sort_by": {
"type": "string",
"maxLength": 2048,
"minLength": 1
},
"price_max": {
"type": "integer"
},
"price_min": {
"type": "integer"
},
"se_domain": {
"type": "string",
"maxLength": 2048,
"minLength": 1
},
"department": {
"type": "string",
"maxLength": 2048,
"minLength": 1
},
"search_param": {
"type": "string",
"maxLength": 2048,
"minLength": 1
},
"language_code": {
"type": "string"
},
"language_name": {
"type": "string",
"maxLength": 2048,
"minLength": 1
},
"location_code": {
"type": "integer"
},
"location_name": {
"type": "string"
},
"max_crawl_pages": {
"type": "integer",
"description": "Search result pages to crawl (max 100). DataForSEO bills each page crawled."
},
"location_coordinate": {
"type": "string",
"maxLength": 2048,
"minLength": 1
}
},
"additionalProperties": false
}json
{
"keyword": "shoes",
"language_name": "English (United States)",
"location_code": 2840
}此接口未发布输出结构。你将收到数据提供商的原始响应正文,我们不会承诺无法保证的输出格式。
计费说明
| 默认输入规模 | 更大的输入和付费选项会随数据提供商的用量而改变费用。 有无匹配数据均按此价格收费。 | $0.0033 |
|---|---|---|
| 每次运行的费用上限 | 总费用不会超过此金额。 | $1.65 |
| 数据提供商错误 | 数据提供商未能响应。 | $0.00 |
| 运行超时 | 运行超过时间限制。 | $0.00 |
| 内部错误 | 内部错误导致运行未能完成。 | $0.00 |